@charset "UTF-8";
/* CSS Document */

/* Navbar Section */
.navbar img,
.navbar .nav-item,
.navbar .btn-outside-popup,
.navbar-toggler {
    opacity: 1;
    animation: none !important;
}

/* Breadcrumb Section */
.breadcrumb {
    margin: 0;
    padding: var(--space-xxs) 0 0 var(--space-xl);
    background-color: var(--color-secondary-bg);
}

.breadcrumb-item a {
    color: var(--color-primary-text);
    text-decoration: none;
}

.breadcrumb-item a:hover {
    color: var(--color-primary);
}

.breadcrumb-item.active {
    color: var(--color-primary-text);
    text-decoration: underline;
    font-weight: bold;
}

.breadcrumb-container .breadcrumb-item + .breadcrumb-item::before {
    color: var(--color-primary-text);
}

@media screen and (max-width: 1199.98px) {

    .breadcrumb {
        padding-left: var(--space-l);
    }
}

@media screen and (max-width: 767.98px) {

    .breadcrumb {
        padding-left: var(--space-s);
        padding-right: var(--space-s);
    }
}

/* Company History Section */
/* Section 1 */
.section-1 {
    margin-top: var(--space-s);
    margin-bottom: var(--space-xl);
}

.section-1-header p {
    width: 65%;
}

.content-1 {
    position: relative;
    background-color: var(--color-primary-bg);
    padding: var(--space-s);
    border-radius: var(--border-primary-radius);
    overflow-x: hidden;
}

.content-1 .timeline-wrapper {
    position: relative;
    width: 100%;
    overflow-x: auto;
    scrollbar-width: none;
    padding: var(--space-s) 0;
    border: 2px solid var(--color-primary-text);
    box-shadow: inset -5px 0 15px 5px rgba(0, 0, 0, 0.3),
    inset 5px 0 15px 5px rgba(0, 0, 0, 0.3);
}

#timelineWrapper,
#awardsWrapper {
  cursor: grab;
  user-select: none;
}

#timelineWrapper.dragging,
#awardsWrapper.dragging {
  cursor: grabbing;
}

.content-1 .timeline-wrapper .timeline {
    position: relative;
    min-width: fit-content;
    gap: var(--space-xl);
    padding: 0 var(--space-s);
}

.content-1 .timeline-wrapper .timeline .timeline-line {
    position: absolute;
    top: 120px;
    left: 0;
    width: 100%;
    height: 10px;
    background: var(--color-quarternary-bg-gradient);
    border-radius: 5px;
}

.content-1 .timeline-wrapper .timeline .timeline-card {
    position: relative;
    width: 300px;
    height: 400px;
    border-radius: var(--border-secondary-radius);
    background: var(--color-secondary-bg-gradient);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
}

.content-1 .timeline-wrapper .timeline .timeline-card span {
    width: 100%;
    border: 1px solid var(--color-primary-text);
}

@media screen and (max-width: 1199.98px) {
    
    .section-1 {
        padding: 0 var(--space-l);
    }

    .section-1-header p {
        width: 80%;
    }
}

@media screen and (max-width: 991.98px) {
    
    .section-1-header p {
        width: 100%;
    }
}

@media screen and (max-width: 767.98px) {
    
    .section-1 {
        padding: 0 var(--space-s);
    }

    .content-1 .timeline-wrapper .timeline .timeline-card {
        width: 225px;
        height: 425px;
    }
}

/* Section 2 */
.section-2 {
    margin-bottom: var(--space-xl);
}

.content-2 {
    width: 100%;
    background-color: var(--color-primary-bg);
    padding: var(--space-s);
    border-radius: var(--border-primary-radius);
}

.content-2 .awards-section {
    position: relative;
    width: 100%;
    overflow-x: hidden;
}

.content-2 .awards-section .left {
    position: absolute;
    width: 5px;
    height: 660px;
    top: 0;
    left: 0;
    background: linear-gradient(to right, #000000 0%, #00000030 100%);
    z-index: 3;
}

.content-2 .awards-section .right {
    position: absolute;
    width: 5px;
    height: 660px;
    top: 0;
    right: 0;
    background: linear-gradient(to left, #000000 0%, #00000030 100%);
    z-index: 3;
}

.content-2 .awards-wrapper {
    position: relative;
    width: 100%;
    overflow-x: auto;
    scrollbar-width: none;
    padding: var(--space-s) 0;
    border: 2px solid var(--color-primary-text);
    box-shadow: inset -5px 0 15px 5px rgba(0, 0, 0, 0.3),
    inset 5px 0 15px 5px rgba(0, 0, 0, 0.3);
}

.content-2 .awards-wrapper .awards {
    position: relative;
    min-width: fit-content;
    height: 610px;
    gap: var(--space-xl);
    padding: 0 var(--space-s);
}

.content-2 .awards-wrapper .awards .awards-card {
    position: relative;
    width: 300px;
    height: fit-content;
    border-radius: var(--border-secondary-radius);
    background: var(--color-secondary-bg-gradient);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
    padding: var(--space-s);
}

.content-2 .awards-wrapper .awards .awards-card::before {
    content: "";
    background-image: url("../images/quote-char.png");
    opacity: 30%;
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 50%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.awards .awards-card .lower-section .lower-section-content span {
    height: 100%;
    border: 1px solid var(--color-primary-text);
}

.awards .awards-card .lower-section .lower-section-content img {
    width: 75px;
    height: 100%;
    object-fit: contain;
}

.awards .awards-card .lower-section .lower-section-content .d-flex p:nth-of-type(2) {
    font-size: var(--font-size-small);
}

@media screen and (max-width: 1199.98px) {

    .section-2 {
        padding: 0 var(--space-l);
    }
}

@media screen and (max-width: 991.98px) {
    
}

@media screen and (max-width: 767.98px) {
    
    .section-2 {
        padding: 0 var(--space-s);
    }
    
    .content-2 .awards-wrapper .awards {
        height: 780px;
    }

    .content-2 .awards-section .left {
        height: 830px;
    }
    
    .content-2 .awards-section .right {
        height: 830px;
    }

    .content-2 .awards-wrapper .awards .awards-card {
        width: 225px;
    }
    
    .awards .awards-card .lower-section .lower-section-content img {
        width: 60px;
        height: 100%;
    }
}

/* Navigation buttons */
.nav-dots {
    gap: var(--space-s);
}

.nav-dot {
    width: 15px;
    height: 15px;
    border-radius: var(--border-secondary-radius);
    background: var(--color-primary);
    cursor: pointer;
    transition: all 0.3s ease;
    border: 2px solid var(--color-secondary-bg)
}

.nav-dot.active {
    background: var(--color-secondary);
    transform: scale(1.2);
}

.nav-dot:hover {
    background: rgba(255, 255, 255, 0.8);
}